<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    <h1>This is my cookie test</h1>
    <p>please accept all ;)</p>
    <script>
        function main() {
            createCookies();
            var myCookies = document.cookie;
            console.log(myCookies);
            var cookieArray = myCookies.split(";")
            console.log(cookieArray);

            console.log(checkFirstTime(cookieArray));
        }
        main();

        function createCookies() {
            document.cookie = "firstTime=True";
            document.cookie = "bgColor=white";
            document.cookie = "fontColor=white";
        }

        function checkFirstTime(cookieArray) {
            var splitedCookiesArray = cookieArray;
            let firstTimeIndex = cookieArray.findIndex((item) => {
                item == "firstTime";
            });
            
            return (splitedCookiesArray[firstTimeIndex+1] == true);
        }
    </script>
</body>

</html>